// The 'node' supervisor is the daemon that controls the Icecast
// server, updating its configuration according to what is stored in
// the distributed database (etcd).
//
// A configuration change will regenerate the Icecast configuration
// file and trigger a reload of the Icecast daemon, which implies that
// the node takes ownership of the entire Icecast config (manual edits
// will be overwritten).
//
// Nodes run a presence protocol (using the database) to discover each
// other and ensure that the full list of active nodes is available to
// clients at any given time.
//
// Nodes also run a master election protocol: a single 'master' server
// is elected among them, which will act as the receiver for the
// source streams; the other nodes will be configured as relays.
//
package node
